﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MyNote.Data.Models.Note>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=string.Format("笔记: {0}", Model.Title) %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%= Model.Title %></h2>

    <fieldset>        
        <div class="display-field"><p><%= Model.Description %></p></div>
        
        <div class="display-field">
        <p>
        <% foreach (var tag in Model.Tags)
           { %>
               <a href="/Note/Taged/?tag=<%= Server.UrlEncode(tag.Title) %>"><%=tag.Title %></a>&nbsp;
        <% } %>
        </p>
        </div>

        <div class="display-field">创建日期: <%= Html.Encode(String.Format("{0:g}", Model.CreatedDate)) %> | 上次修改日期：<%= Html.Encode(String.Format("{0:g}", Model.LastModified)) %></div>
    </fieldset>
    <p>
        <%= Html.ActionLink("编辑", "Edit", new { id = Model.Id })%>
        <%= Html.ActionLink("返回", "Index") %>
    </p>
    <div id="disqus_thread"></div>

<%--<script type="text/javascript">
    /* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
    var disqus_shortname = 'vowei'; // required: replace example with your forum shortname

    // The following are highly recommended additional parameters. Remove the slashes in front to use.
    // var disqus_identifier = 'unique_dynamic_id_1234';
    // var disqus_url = 'http://example.com/permalink-to-page.html';

    /* * * DON'T EDIT BELOW THIS LINE * * */
    (function () {
        var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
        dsq.src = 'http://' + disqus_shortname + '.disqus.com/embed.js';
        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
    })();
</script>
<noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
<a href="http://disqus.com" class="dsq-brlink">blog comments powered by <span class="logo-disqus">Disqus</span></a>--%>
</asp:Content>

