﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MyNote.Data.Models.ReferenceNote>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=string.Format("笔记: {0}", Model.Title) %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%= Model.Title %></h2>

    <fieldset>        
        <div class="display-field"><p><%= Model.Description %></p></div>
        
        <div class="display-field">
        <p>
        <% foreach (var tag in Model.Tags)
           { %>
               <a href="/Note/Taged/?tag=<%=Server.UrlEncode(tag.Title) %>"><%=tag.Title %></a>&nbsp;
        <% } %>
        </p>
        </div>

        <p>原始链接: <a href="<%= Model.Url %>"><%= Model.Url %></a></p>

        <p>创建日期: <%= Html.Encode(String.Format("{0:g}", Model.CreatedDate)) %> | 上次修改日期：<%= Html.Encode(String.Format("{0:g}", Model.LastModified)) %></p>
        
    </fieldset>
    <p>
        <%= Html.ActionLink("编辑", "Edit", "Note", new { id = Model.Id }, null)%>
        <%= Html.ActionLink("返回", "Index") %>
    </p>

</asp:Content>

