﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MyNote.Data.Models.ReferenceNote>" %>

<% using (Html.BeginForm()) {%>
    <%= Html.ValidationSummary(true) %>
    <div class="editor-label">
        标题：
    </div>
    <div class="editor-field">
        <%= Html.TextBoxFor(model => model.Title) %>
        <%= Html.ValidationMessageFor(model => model.Title)%>
    </div>

    <div class="editor-label">
        收藏网址：
    </div>
    <div class="editor-field">
        <%= Html.TextBoxFor(model => model.Url) %>
        <%= Html.ValidationMessageFor(model => model.Url)%>
    </div>

    <div class="editor-label">
        永久收藏?
    </div>
    <div class="editor-field">
        <%= Html.CheckBoxFor(model => model.IsMaterialized) %>
    </div>
            
    <div class="editor-field">
        <input type="hidden" name="Description" id="Description" class="HtmlClass" />
        <%= Html.ValidationMessageFor(model => model.Description) %>
    </div>
            
    <div class="editor-label">
        标签：
    </div>
    <div class="editor-field">
        <%= Html.TextBoxFor(model => model.Tag) %>
        <%= Html.ValidationMessageFor(model => model.Tag) %>
    </div>

    <div id="reference_content_container"></div>

    <p>
        <input type="submit" value="提交" />
    </p>
<% } %>

<script language="javascript" type="text/javascript">
    function custom_tinymce_setup(ed) {
        ed.onInit.add(function (ed) {
            var editor = tinyMCE.get('Description');
            editor.setContent('<%=Model == null ? "" : Model.Description %>');
            editor.show();
        });
    };

    $("#IsMaterialized").change(function () {
        var isChecked = $(this).attr("checked");
        var editor = tinyMCE.get("Description");

        if (isChecked) {
            editor.show();
        } else {
            editor.hide();
        }
    });
</script>