﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Vowei.Core.Models;

namespace Vowei.Core.Models
{
    public class ChangeSet : INamedTable
    {
        public ChangeSet()
        {
            ID = Guid.NewGuid();
            Tickets = new List<Ticket>();
        }

        public string Title { get; set; }

        public Project Project { get; set; }

        public Guid ProjectId { get; set; }

        public string ChangedFileList { get; set; }

        public virtual List<Ticket> Tickets { get; private set; }

        public Guid ID
        {
            get;
            set;
        }
    }
}
 