﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Vowei.Core.Models
{
    [Serializable]
    public class ExceptionPeriod : Period
    {
        public WorkingTimeType Type { get; set; }

        [Display(Name = "说明")]
        public string Description { get; set; }
        
        [Display(Name = "申请日期")]
        public DateTime OpenDate { get; set; }

        [Display(Name = "最后修改日前")]
        public DateTime LastModified { get; set; }
    }
}
