﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Collections.Specialized;
using Vowei.Core.Models;

namespace Vowei.Services.SharePoint
{
    public interface IProvider
    {
        DataSet GetEmptyDataSet();
        DataRow GetSingleRow(int id);
        DataRow Update(DataRow updateRow);
        void Delete(int id);
        DataSet GetUpdatesSinceToken(Guid ProviderID, ChangeKey changeKey);
        ListType GetProviderType(Guid ProviderID);
        StringDictionary GetFieldMappingsForListType(ListType listType);
    }
}
