﻿using System;
using Vowei.Data.Models;
using System.Web.Security;
using System.Web.Mvc;
using System.Web;
using Vowei.Data;

namespace Vowei.Web.Security
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Method, AllowMultiple=true)]
    public class PermissionAuthorizeAttribute : AuthorizeAttribute
    {
        public string RequiredPermission { get; set; }

        protected override bool AuthorizeCore(HttpContextBase httpContext)
        {
            return true;
        }
    }
}