// var siteUrl = "http://localhost:12345"; 
var siteUrl = "http://vowei.com";

(function () {
    // add_js(siteUrl + '/scripts/tinymce/tiny_mce.js');
    add_note_form();
    // highlight_divs();
    // add_js(siteUrl + '/scripts/tinymce/jquery.tinymce.js');
    // highlight_tables();
})();

function add_css_file(url) {
    var headId = document.getElementsByTagName("head")[0];
    var cssNode = document.createElement("link");

    cssNode.type = "text/css";
    cssNode.rel = "stylesheet";
    cssNode.href = url;
    cssNode.media = "screen";

    headId.appendChild(cssNode);
};

function tinymce_setup(ed) {
    var editor = tinyMCE.get('vowei_reference_note_form_Description');

    if ($("p").size() > 0) {
        var htmls = "";
        $("p").each(function (i, e) {
            htmls += $(e).html();
        });

        editor.setContent(htmls);
    };
};

function save_web_text() {
    var divs = $("div");
    var contextIdx = 0;
    var contextMaxLen = 0;

    for (var i = 0; i < divs.length; ++i) {
        var plen = $(divs[i]).children("p").length;
        if (plen > contextMaxLen) {
            contextIdx = i;
            contextMaxLen = plen;
        }
    }

    var div = divs[contextIdx];
    if ($(div).children("p").length > 0) {
        var htmls = "";
        $(div).children("p").each(function (i, e) {
            htmls += '<p>' + $(e).html() +'</p>';
        });

        $("#vowei_reference_note_form_display").html(htmls);
        $("#vowei_reference_note_form_Description").val(escape(htmls));
    };
};

function wrap_international_input(inputId, inputWrapperId, objForm, defaultValue) {
    var objInput = $(inputId, objForm);
    var objInputWrapper = $(inputWrapperId, objForm);

    if (defaultValue !== undefined) {
        $(objInput).val(escape(defaultValue));
        $(objInputWrapper).val(defaultValue);
    }

    $(objInputWrapper).change(function () {
        var newValue = $(this).val();
        $(objInput).val(escape(newValue));
    });
};

function add_note_form() {
    add_css_file(siteUrl + "/Content/jquery-ui-darkness/jquery-ui-1.8.9.custom.css");
    add_css_file(siteUrl + "/Content/newdialog.css");
    var form = '<div style="background-color: white" class="vowei_reference_note_dialog">' +
               '<form id="vowei_reference_note_form" enctype="multipart/form-data" action="' + siteUrl + '/ReferenceNote/BeginCreate" method="post">' +
               '<input type="hidden" name="_charset_" id="_charset_" />' +
               '<div>⣺ </div>' +
               '<div><input type="text" id="DisplayTitle" size="70" /><input type="hidden" name="Title" id="Title" /></div>' +
               '<div>ղַ </div>' +
               '<div><input type="text" name="Url" size="70" id="Url" /></div>' +
               '<div><input type="hidden" name="Description" id="vowei_reference_note_form_Description" /></div>' +
               '<div id="vowei_reference_note_form_display"></div>' +
               '<div>ǩ </div>' +
               '<div><input type="text" id="DisplayTag" size="70" /><input type="hidden" name="Tag" id="Tag" /></div>' +
               '<div><input type="submit" value="ύ" /></div>' +
               '</form>' +
               '</div>';
    $("body").append(form);
    var objForm = $("#vowei_reference_note_form");
    var title = "";

    if ($("body").has("h1")) {
        $("h1").each(function (i, e) {
            if ($(e).text() != "" && $("#Title", objForm).val() == "") {
                title = $(e).text();
                $("#Title", objForm).val(escape(title));
            }
        });
    } 
    
    if ( title == "" ) {
        title = $("title").text();
        $("#Title", objForm).val(escape(title));
    }

    $("#Url", objForm).val(window.location.href);

    wrap_international_input("#Title", "#DisplayTitle", objForm, title);
    wrap_international_input("#Tag", "#DisplayTag", objForm);

//    var fakeTitle = $("#DisplayTitle", objForm);
//    $(fakeTitle).val(title);
//    $(fakeTitle).change(function () {
//        var newTitle = $(this).val();
//        $("#Title", objForm).val(escape(newTitle));
//    });

    save_web_text();

    $(objForm).dialog({ width: 600 });

//    $.getScript(siteUrl + '/scripts/tinymce/jquery.tinymce.js', function () {
//        $("#vowei_reference_note_form_Description", objForm).tinymce({
//            mode: "textareas",
//            theme: "advanced",
//            width: "100%",
//            height: "600",
//            setup: tinymce_setup
//        }); 
//    });   
};

function highlight_tables() {
    $("table").css("border", "yellow solid thin")
              .css("outline", "yellow solid thick");
};

function highlight_divs() {
    $("div").css("border", "yellow solid thin")
            .css("outline", "yellow solid thick");
};