﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MyNote.Data.Models.Note>" %>

<% using (Html.BeginForm()) {%>
    <%= Html.ValidationSummary(true) %>
    <div class="editor-label">
        标题：
    </div>
    <div class="editor-field">
        <%= Html.TextBoxFor(model => model.Title) %>
        <%= Html.ValidationMessageFor(model => model.Title)%>
    </div>
            
    <div class="editor-field">
        <input type="text" name="Description" id="Description" class="HtmlClass" />
        <%= Html.ValidationMessageFor(model => model.Description) %>
    </div>
            
    <div class="editor-label">
        标签：
    </div>
    <div class="editor-field">
        <%= Html.TextBoxFor(model => model.Tag) %>
        <%= Html.ValidationMessageFor(model => model.Tag) %>
    </div>

    <p>
        <input type="submit" value="提交" />
    </p>
<% } %>

<script language="javascript" type="text/javascript">
    function custom_tinymce_setup(ed) {
        ed.onInit.add(function (ed) {
            tinyMCE.get('Description').setContent('<%= Model == null ? "" : Model.Description %>');
        });
    };
</script>