﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Vowei.Core.Models
{
    public class Resource : INamedTable, IExcelRowConvertable
    {
        public Resource()
        {
            ID = Guid.NewGuid();
        }

        public Guid ID { get; set; }

        [Display(Name = "名称")]
        public string Title { get; set; }

        public bool IsExcelExtended { get; set; }

        [Display(Name = "说明")]
        public string Description { get; set; }

        public virtual bool AssignTask(Task task)
        {
            throw new NotImplementedException();
        }

        public virtual bool IsBusyAt(DateTime time)
        {
            throw new NotImplementedException();
        }
    }
}
