﻿Feature: Managing requirements
	In order to manage requirement effeciently
	As a program manager
	I want to be create, delete, modify and track requirements

Scenario: Create requirement with necessary info
	Given I am on the create requirement page
	And Fill all necessary requirement properties
	When I press create on requirement page
	Then A requirement should be created
	
Scenario: Create requirement in a project with necessary info
	Given I selected a project
	And Click create requirement link on the project details page
	And Fill all necessary requirement properties
	When I press create on requirement page
	Then A requirement should be created

Scenario: Create requirement with sub requirements and tasks
	Given I am on the create requirement page
	And Fill all necessary requirement properties
	And Created some sub requirements on requirement page
	And Created some sub tasks on requirement page
	When I press create on requirement page
	Then A requirement should be created
	And Sub requirements are added to the new requirement
	And Sub tasks are added to the new requirement
	
Scenario: Create requirement and select sub requirements and tasks
	Given I selected a project
	And Created some requirements/tasks previously
	And Click create requirement link on the project details page
	And Fill all necessary requirement properties
	And Select some sub requirements on requirement page
	And Select some sub tasks on requirement page
	When I press create on requirement page
	Then A requirement should be created
	And Sub requirements are added to the new requirement
	And Sub tasks are added to the new requirement

Scenario: Refine requirement to detailed requirements and tasks
	Given I selected a project
	  And a requirement in the project
	 When I click Refine Requirement button on the requirement details page
	 Then Excel application is launched with a list of sub tasks and requirements of the requirement
	 When I modified some sub tasks and requirements in Excel
	  And Click Publish button in Excel
	 Then The requirement should have modified sub tasks and requirements

Scenario: Creating multiple requriements
	Given I selected a project
	  And Click create requirement link on the project details page
	 When I created multiple requirements
	 Then All multiple requirements are created