﻿using System;
using System.Drawing;
using Newtonsoft.Json;

namespace Vowei.Web.Models
{
    public class TimelineItem
    {
        [JsonProperty(PropertyName = "start")]
        public DateTime Start { get; set; }

        [JsonProperty(PropertyName = "end")]
        public DateTime? End { get; set; }

        [JsonProperty(PropertyName = "title")]
        public string Title { get; set; }

        [JsonProperty(PropertyName = "description")]
        public string Description { get; set; }

        //[JsonProperty(PropertyName = "color")]
        //public Color? Color { get; set; }
    }

    public class Timeline
    {
        [JsonProperty(PropertyName = "dateTimeFormat")]
        public string DateTimeFormat { get; set; }

        [JsonProperty(PropertyName="events")]
        public TimelineItem[] Events { get; set; }
    }
}