﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;

namespace Vowei.Web.Models
{
    public class WebConstants
    {
        public static readonly Dictionary<string, object> DateTimeEditorAttributes;
        public static readonly HttpStatusCodeResult HttpSuccess = new HttpStatusCodeResult(200);
        public static readonly HttpStatusCodeResult HttpError = new HttpStatusCodeResult(500);
        public const string ApplicationExcel = "application/vnd.ms-excel";
        public const string ApplicationExcel2007 = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
        public const string TicketsTableId = "tickets";

        public class ViewData
        {
            public const string Project = "Project";
        }

        public class Statistics
        {
            public const string RequirementStatistics = "req";

            public const string EarnedValue = "ev";
        }

        static WebConstants()
        {
            DateTimeEditorAttributes = new Dictionary<string, object>();
            DateTimeEditorAttributes.Add("class", "DateTimeClass");
        }
    }
}